org.springframework.web.reactive.result.condition

## Interface MediaTypeExpression

    public interface MediaTypeExpression

A contract for media type expressions (e.g. "text/plain", "!text/plain") as defined in the `@RequestMapping` annotation for "consumes" and "produces" conditions.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`org.springframework.http.MediaType` `getMediaType()`
`boolean` `isNegated()`

### Method Detail

#### getMediaType

    org.springframework.http.MediaType getMediaType()

#### isNegated

    boolean isNegated()